package cl.jtv;

/*
 * ComandoEOA.java
 *
 * Created on 21 de febrero de 2003, 11:03 PM
 */

/**
 *
 * @author  Administrador
 * @version 
 */
public class ComandoEOA extends Comando {

    /** Creates new ComandoEOA */
    private int lastOrientacion;
    public ComandoEOA(Object newArtefacto, Vector2 newVector2,int oldOrientacion) {
        super(newArtefacto,newVector2);
        this.lastOrientacion = oldOrientacion;
    }

    public void doIt() {
        
        AutoEnlace autoEnlace = (AutoEnlace)artefacto;
        autoEnlace.setOrientacion(lastOrientacion);
        
    }
    
}
